diff --git a/install-codestylechecker.sh b/install-codestylechecker.sh
new file mode 100755
index 0000000000000000000000000000000000000000..55eb621e6f13f5ff23fd917ad744f1437bd2315b
--- /dev/null
+++ b/install-codestylechecker.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+red="\e[0;91m"
+green="\e[0;92m"
+clean="\e[0m"
+
+
+if [ $(which curl) != "/usr/bin/curl" ] 
+then
+
+	echo -e "\n${red}Benötigt curl.\n"
+	exit 1
+fi
+
+reset
+
+gitdir=$(pwd)
+
+echo -e "${green}Installiere Codestylechecker...${clean}\n"
+
+mkdir -p $HOME/bin/codestylechecker
+
+cd $HOME/bin/codestylechecker
+
+curl -OL https://squizlabs.github.io/PHP_CodeSniffer/phpcs.phar
+curl -OL https://alpha.finc.info/vufind2/logs/alpha/CodeSniffer.conf
+
+chmod +x $HOME/bin/codestylechecker/phpcs.phar
+
+echo -e "\n${green}Kopiere Hooks nach ${gitdir}/.git/hooks\n${clean}"
+
+cd $gitdir/.git/hooks/
+
+curl -OL https://alpha.finc.info/vufind2/logs/alpha/pre-commit
+curl -OL https://alpha.finc.info/vufind2/logs/alpha/pre-push
+
+chmod +x $gitdir/.git/hooks/pre-commit
+chmod +x $gitdir/.git/hooks/pre-push
+
+echo -e "\n${green}Fertig!${clean}\n"
+
+exit 0
+
+#heiko.wolf@uni-leipzig.de, 2021
diff --git a/local/languages/de.ini b/local/languages/de.ini
index 6428ea9568274ecf180264ac9f35778dece09cc1..bf138d116104c70af79f7e80984beb943b964571 100644
--- a/local/languages/de.ini
+++ b/local/languages/de.ini
@@ -2081,3 +2081,6 @@ Unknown Electronic = "Titel ist beim Resolver-Service nicht bekannt"
 title_wrapper = "%%pageTitle%% %%titleSeparator%% %%siteTitle%%"
 
 load_tab_content_hint = "Klicken Sie hier, um den Inhalt der Registerkarte zu laden."
+
+; #20266
+Additional Titles = "Weitere Titel"
diff --git a/local/languages/en.ini b/local/languages/en.ini
index f1aa7b7cf478120dce8ec464464eec64899cca2b..b3d25fe3f7ecba1ebc45af33397a2b4393565b5e 100644
--- a/local/languages/en.ini
+++ b/local/languages/en.ini
@@ -2168,3 +2168,6 @@ Unknown Electronic = "Record is unknown to the resolver service"
 title_wrapper = "%%pageTitle%% %%titleSeparator%% %%siteTitle%%"
 
 load_tab_content_hint = "Click to load tab content."
+
+; #20266
+Additional Titles = "Additional Titles"
\ No newline at end of file
diff --git a/module/finc/src/finc/RecordDriver/SolrMarcFincTrait.php b/module/finc/src/finc/RecordDriver/SolrMarcFincTrait.php
index ba947ac8b20434c701bdd108c0dce3e71c53ee69..fd921067791bc71bb7c91e914ec67f5ff0c780ee 100644
--- a/module/finc/src/finc/RecordDriver/SolrMarcFincTrait.php
+++ b/module/finc/src/finc/RecordDriver/SolrMarcFincTrait.php
@@ -572,6 +572,26 @@ trait SolrMarcFincTrait
         return count($array) ? array_pop($array) : '';
     }
 
+    /**
+     * Get an array of title details with information from MARC field 249a.
+     *
+     * @return array
+     */
+    public function getTitleDetails249a()
+    {
+        $titleDetails = [];
+
+        if ($field = $this->getMarcRecord()->getField('249')) {
+            if ($subfields = $field->getSubfields('a')) {
+                foreach ($subfields as $subfield) {
+                    $titleDetails[] = $subfield->getData();
+                }
+            }
+        }
+
+        return array_unique($titleDetails);
+    }
+
     /**
      * Get an array of title detail lines with original notations combining
      * information from MARC field 245 and linked content in 880.
diff --git a/themes/finc/scss/compiled.scss b/themes/finc/scss/compiled.scss
index 7b324eb9c6768c30ea9fc2a22f7d654a92f50f31..63d611713d1b280e05568037f2dab084e5e6765d 100644
--- a/themes/finc/scss/compiled.scss
+++ b/themes/finc/scss/compiled.scss
@@ -1265,11 +1265,23 @@ table.collapse.in {
   margin-top: ($grid-gutter-width / 2);
 }
 
+.margin-t-half {
+  margin-top: ($grid-gutter-width / 4);
+}
+
 ////// NO margin bottom
 .no-margin-btm {
   margin-bottom: 0;
 }
 
+.margin-btm {
+  margin-bottom: ($grid-gutter-width / 2);
+}
+
+.margin-btm-half {
+  margin-bottom: ($grid-gutter-width / 4);
+}
+
 ////// NO margin left
 .no-margin-l {
   margin-left: 0;
diff --git a/themes/finc/templates/RecordDriver/DefaultRecord/data-multiline.phtml b/themes/finc/templates/RecordDriver/DefaultRecord/data-multiline.phtml
new file mode 100644
index 0000000000000000000000000000000000000000..0e1ea67853047559d0e7c9d1588a9cf7a84f7047
--- /dev/null
+++ b/themes/finc/templates/RecordDriver/DefaultRecord/data-multiline.phtml
@@ -0,0 +1,7 @@
+<!-- finc: RecordDriver - DefaultRecord - data-multiline -->
+<?php if (is_array($data)): ?>
+  <?=implode('<hr class="margin-t-half margin-btm-half" />', $data) ?>
+<?php else: ?>
+  <?= $data ?>
+<?php endif; ?>
+<!-- finc: RecordDriver - DefaultRecord - data-multiline - END -->
diff --git a/themes/finc/templates/RecordTab/holdingsils.phtml b/themes/finc/templates/RecordTab/holdingsils.phtml
index ed99f581cf84e3bd1f396fba374371e32315551f..392dd55a860ef27148f0782b7d3ea375283f8c8c 100644
--- a/themes/finc/templates/RecordTab/holdingsils.phtml
+++ b/themes/finc/templates/RecordTab/holdingsils.phtml
@@ -179,7 +179,7 @@ if (!empty($holdingTitleHold)): ?>
   <h2><?=$this->transEsc("external_access")?></h2>
   <?php if (!empty($extUrls)): ?>
     <?php foreach ($extUrls as $current): ?>
-      <a href="<?=$this->escapeHtmlAttr($this->proxyUrl($current['url']))?>"><?=$this->translate($current['desc'])?></a>
+      <?=$this->externalLink($this->escapeHtmlAttr($this->proxyUrl($current['url'])), $this->translate($current['desc']))?>
       <br/>
     <?php endforeach; ?>
   <?php endif; ?>